Get run
curl --request GET \
--url https://api.example.com/api/crew-runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/crew-runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/crew-runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"correlation_id": "<string>",
"owner_id": "<string>",
"created_at": "<string>",
"crew_type": "<string>",
"crew_config": {
"agents": [
{
"role": "<string>",
"goal": "<string>",
"backstory": "<string>",
"id": "<string>",
"verbose": false,
"allow_delegation": false,
"tools": [
"<string>"
],
"tool_categories": [
"<string>"
],
"use_default_mcps": true
}
],
"tasks": [
{
"description": "<string>",
"agent_index": 0,
"expected_output": "",
"tools": [
"<string>"
]
}
],
"id": "<string>",
"verbose": false,
"process": "sequential"
},
"task_input": {},
"result": "<string>",
"error": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Crew runs
Get run
Get a single crew run by ID.
GET
/
api
/
crew-runs
/
{run_id}
Get run
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Successful Response
Persistent crew run record returned from the history API.
Available options:
pending, running, completed, failed Configuration model for a CrewAI crew with agents and tasks.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

